%define name galeb
%define version 0.1.0
%define release %mkrel 2

Summary: Simple command-line utility that tries to find an expression (genetic algorithm)
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/cluster
Url: http://www.xtreemos.eu
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildrequires:	galib-static-devel


%description
Galeb is a simple command-line utility that tries to find an expression (an elementary function)
that best describes the given data using a genetic algorithm. 

%prep
%setup -q

%build
./autogen.sh
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p %{buildroot}/%{_sysconfdir}/xtreemos
mkdir -p %{buildroot}/%{_datadir}/%name
cp -av master-ssh/galeb-ssh.conf %{buildroot}/%{_sysconfdir}/xtreemos
cp -av sample-data/*.txt %{buildroot}/%_datadir/%name/
cp -av galeb-plot-result.sh %{buildroot}/%{_bindir}/galeb-plot-result.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc VERSION LICENSE README
%defattr(-,root,root)
%attr(0644,root,root) %{_sysconfdir}/xtreemos/galeb-ssh.conf
%attr(0755,root,root) %{_bindir}/%{name}*
%{_datadir}/%name/*


%changelog
